package com.raycos.raycosdatacenterapi.authorize;

import com.raycos.raycoscommon.Internal.Result;
import com.raycos.raycoscommon.Internal.datacenterapi.TbStoreInfo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@Slf4j
@RequestMapping("/erp/store")
public class StoreInfoController {


    @Autowired
    private  StoreInfoService storeInfoService;


    @PostMapping("/add")
    public Result<String> addStoreInfo (@RequestBody TbStoreInfo tbStoreInfo){
        Result<String> rt = new  Result<>();
        try{
            tbStoreInfo.setStoreName("美国,加拿大,墨西哥,巴西");
            tbStoreInfo.setStoreType(1);
            tbStoreInfo.setStoreModel(2);
            storeInfoService.addStoreInfo(tbStoreInfo);
            rt.success();
            rt.setMsg("保存成功！");
        }catch (Exception e ){
            log.error(  e.getMessage() , e);
            rt.fail();
        }
        return  rt;
    }



    @GetMapping("/sel")
    public Result<List<TbStoreInfo> > selStoreInfo (  ){
        Result<List<TbStoreInfo> > rt = new  Result<>();
        try{
            List<TbStoreInfo> tbStoreInfos = storeInfoService.selStoreInfo(null);
            rt.success( tbStoreInfos );
            rt.setMsg("查询成功！");
        }catch (Exception e ){
            log.error(  e.getMessage() , e);
            rt.fail();
        }
        return  rt;
    }


}
